Subject: ReMIME-Version: 1.0

From: [email-masked]
Date: Tue, 17 Dec 2002 12:00:26 -0500 (EST)

Tom Pusateri wrote:
 > In message <[email-masked]> you write:
 >
 >>Hello,
 >>
 >>I quickly read the two SSM drafts properly for the first time.  A few
 >>minor comments.
 >>
 >>ssm-overview-04:
 >>
 >>                                                                  Thus
 >>     the complexity of the multicast routing infrastructure for SSM is
 >>     low, making it viable for immediate deployment. Note that MBGP is
 >>     still required for distribution of multicast reachability
 >>     information.
 >>
 >>==> I would dispute the last sentence a bit.  It's not really 
necessary to
 >>use MBGP at all if you're using PIM.
 >
 >
 > Agreed. I think the point is that if you want others to know about your
 > SSM sources, you better advertise your prefix in MBGP or noone will know
 > how to get to you.
 >
 >
 >>==> In many places, there if a referrence to "IPv6 SSM address range
 >>FF2x::".  According to e.g. RFC3306, this perhaps should be FF3x:: -- 
or a
 >>lot of clarification is required!
 >

It should be FF3x::.  This was noted in the auth48 review and is
being corrected.

 >
 > RFC 3306 also says that 'x' can be any valid scope. I think this also
 > needs more clarification. Does this mean I should force FF3[0-F]:: to
 > be SSM addresses in the router or is something in the range 0-F
 > known to be "not valid"? How does one determine the validity of a scope?

Two points.  First, F is undefined, 0 & 1 are "node-internal" and
should never be seen on the wire, and 2 is link-local and should not
be routed.  Second, the mere use of FF3x:: does not indicate an SSM
address.  RFC 3306 points out that SSM addresses have the FF3x::
prefix and the "plen" field is 0.

Brian